
set( novaddt_VERSION 11.00.07 )
set( novaddt_UPS_VERSION v11_00_07 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_core v1_03_03 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718 )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_07_00 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_00_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_11_12 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( novadaq v03_01_00 )
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE )
      cet_find_library( ART_NTUPLE NAMES art_Ntuple PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION )
      cet_find_library( TEST_INTEGRATION NAMES test_Integration PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_UTILITIES )
      cet_find_library( ARTDAQ-CORE_UTILITIES NAMES artdaq-core_Utilities PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA )
      cet_find_library( ARTDAQ-CORE_DATA NAMES artdaq-core_Data PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA_DICT )
      cet_find_library( ARTDAQ-CORE_DATA_DICT NAMES artdaq-core_Data_dict PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_CORE )
      cet_find_library( ARTDAQ-CORE_CORE NAMES artdaq-core_Core PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_GENERATORS )
      cet_find_library( ARTDAQ-CORE_GENERATORS NAMES artdaq-core_Generators PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_BUILDINFO )
      cet_find_library( ARTDAQ-CORE_BUILDINFO NAMES artdaq-core_BuildInfo PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE NAMES artdaq-core_ArtModules_ArtdaqCoreBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE NAMES artdaq-core_ArtModules_PrintBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
      set( ACTIVITYTRIGGERANA_MODULE  $ENV{NOVADDT_LIB}/libActivityTriggerAna_module.so )
      set( TRICELLTRIGGERANA_MODULE  $ENV{NOVADDT_LIB}/libTriCellTriggerAna_module.so )
      set( HORIZONTALMUONTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libHorizontalMuonTrigger_module.so )
      set( ACTIVITYTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libActivityTrigger_module.so )
      set( TRICELLTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libTriCellTrigger_module.so )
      set( CHANNELMAPMAKER_MODULE  $ENV{NOVADDT_LIB}/libChannelMapMaker_module.so )
      set( CALIBRATION_MODULE  $ENV{NOVADDT_LIB}/libCalibration_module.so )
      set( NOISEMAPANA_MODULE  $ENV{NOVADDT_LIB}/libNoiseMapAna_module.so )
      set( NOISEHITFINDER_MODULE  $ENV{NOVADDT_LIB}/libNoiseHitFinder_module.so )
      set( STATICMAPSERVICE_SERVICE  $ENV{NOVADDT_LIB}/libStaticMapService_service.so )
      set( CHANNELMAPSERVICE_SERVICE  $ENV{NOVADDT_LIB}/libChannelMapService_service.so )
      set( FEBOVERFLOWTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libFEBOverflowTrigger_module.so )
      set( DDTBASEDATAPRODUCTS  $ENV{NOVADDT_LIB}/libDDTBaseDataProducts.so )
      set( DDTBASEDATAPRODUCTS_DICT  $ENV{NOVADDT_LIB}/libDDTBaseDataProducts_dict.so )
      set( DDTCORE  $ENV{NOVADDT_LIB}/libDDTCore.so )
      set( WAVEFORMPROCESSOR_SERVICE  $ENV{NOVADDT_LIB}/libWaveformProcessor_service.so )
      set( NOVAFRAGMENTREADER_GENERATOR  $ENV{NOVADDT_LIB}/libNovaFragmentReader_generator.so )
      set( NOVAFRAGMENTFILEREADER_GENERATOR  $ENV{NOVADDT_LIB}/libNovaFragmentFileReader_generator.so )
      set( NOVADDT_SOURCE  $ENV{NOVADDT_LIB}/libNovaDDT_source.so )
      set( NOVADDTHITPRODUCER_MODULE  $ENV{NOVADDT_LIB}/libNovaDDTHitProducer_module.so )
      set( DDTCORE_NOVADDTTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libDDTCore_NovaDDTTrigger_module.so )
      set( NOVADDTRAWINPUTSOURCE_SOURCE  $ENV{NOVADDT_LIB}/libNovaDDTRawInputSource_source.so )
      set( EVALUATION_MODULE  $ENV{NOVADDT_LIB}/libEvaluation_module.so )
      set( GHLTEST_MODULE  $ENV{NOVADDT_LIB}/libGHLTest_module.so )
      set( MILLIBLOCKCHECKING_MODULE  $ENV{NOVADDT_LIB}/libMilliBlockChecking_module.so )
      set( DDTSTREAMER_MODULE  $ENV{NOVADDT_LIB}/libDDTStreamer_module.so )
      set( DDTDEMO_MODULE  $ENV{NOVADDT_LIB}/libDDTDemo_module.so )
      set( SLICEPRESCALE_MODULE  $ENV{NOVADDT_LIB}/libSlicePrescale_module.so )
      set( EVENTPRESCALE_MODULE  $ENV{NOVADDT_LIB}/libEventPrescale_module.so )
      set( DDTUTILITIESFUNC  $ENV{NOVADDT_LIB}/libDDTUtilitiesFunc.so )
      set( HITSUBSTRACT_MODULE  $ENV{NOVADDT_LIB}/libHitSubstract_module.so )
      set( EXOTICSTRIGGERS  $ENV{NOVADDT_LIB}/libExoticsTriggers.so )
      set( SLOWMMTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libSlowMMTrigger_module.so )
      set( NNFASTMMTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libNNFastMMTrigger_module.so )
      set( HIGHETRIGGER_MODULE  $ENV{NOVADDT_LIB}/libHighETrigger_module.so )
      set( MICHELETRIGGER_MODULE  $ENV{NOVADDT_LIB}/libMichelETrigger_module.so )
      set( SNANA_MODULE  $ENV{NOVADDT_LIB}/libSNAna_module.so )
      set( UPMUTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libUpMuTrigger_module.so )
      set( FASTMMTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libFastMMTrigger_module.so )
      set( DBSLICER_MODULE  $ENV{NOVADDT_LIB}/libDBSlicer_module.so )
      set( REMOVENOISE_MODULE  $ENV{NOVADDT_LIB}/libRemoveNoise_module.so )
      set( SINGLETONREJECTION_MODULE  $ENV{NOVADDT_LIB}/libSingletonRejection_module.so )
      set( SPACESLICE_MODULE  $ENV{NOVADDT_LIB}/libSpaceSlice_module.so )
      set( TIMESLICE_MODULE  $ENV{NOVADDT_LIB}/libTimeSlice_module.so )
      set( FEBFLASHFILTER_MODULE  $ENV{NOVADDT_LIB}/libFEBFlashFilter_module.so )
      set( SINGLETONREJECTIONANA_MODULE  $ENV{NOVADDT_LIB}/libSingletonRejectionAna_module.so )
      set( TDSLICE_MODULE  $ENV{NOVADDT_LIB}/libTDSlice_module.so )
      set( HIGHADCFILTER_MODULE  $ENV{NOVADDT_LIB}/libHighADCFilter_module.so )
      set( RESTRICTHITSBYPLANE_MODULE  $ENV{NOVADDT_LIB}/libRestrictHitsByPlane_module.so )
      set( TIMEDCMSLICE_MODULE  $ENV{NOVADDT_LIB}/libTimeDCMSlice_module.so )
      set( REMOVEONEDSLICES_MODULE  $ENV{NOVADDT_LIB}/libRemoveOneDSlices_module.so )
      set( REMOVESPATIALNOISE_MODULE  $ENV{NOVADDT_LIB}/libRemoveSpatialNoise_module.so )
      set( MULTIPLET_MODULE  $ENV{NOVADDT_LIB}/libMultiplet_module.so )
      set( DCMSLICE_MODULE  $ENV{NOVADDT_LIB}/libDCMSlice_module.so )
      set( SORTBYDCM_MODULE  $ENV{NOVADDT_LIB}/libSortByDCM_module.so )
      set( HIGHSORTBYTDC_MODULE  $ENV{NOVADDT_LIB}/libHighSortByTDC_module.so )
      set( SORTBYTDC_MODULE  $ENV{NOVADDT_LIB}/libSortByTDC_module.so )
      set( SORTBYVIEW_MODULE  $ENV{NOVADDT_LIB}/libSortByView_module.so )
      set( SORTBYPLANE_MODULE  $ENV{NOVADDT_LIB}/libSortByPlane_module.so )
      set( MOONSHADOW  $ENV{NOVADDT_LIB}/libMoonShadow.so )
      set( MOONSHADOW_MODULE  $ENV{NOVADDT_LIB}/libMoonShadow_module.so )
      set( NUESELECT_MODULE  $ENV{NOVADDT_LIB}/libNuESelect_module.so )
      set( CLUSTERANA_MODULE  $ENV{NOVADDT_LIB}/libClusterAna_module.so )
      set( NUMUTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libNuMuTrigger_module.so )
      set( UPMUTESTTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libUpMuTestTrigger_module.so )
      set( CONTAINEDSLICE_MODULE  $ENV{NOVADDT_LIB}/libContainedSlice_module.so )
      set( PATREC  $ENV{NOVADDT_LIB}/libPatRec.so )
      set( CLUSTERER_MODULE  $ENV{NOVADDT_LIB}/libClusterer_module.so )
      set( DDTTRACKMERGE_MODULE  $ENV{NOVADDT_LIB}/libDDTTrackMerge_module.so )
      set( HOUGHTRACKER_MODULE  $ENV{NOVADDT_LIB}/libHoughTracker_module.so )
      set( MERGE2DTRACKS_MODULE  $ENV{NOVADDT_LIB}/libMerge2DTracks_module.so )
      set( SLICER3D_MODULE  $ENV{NOVADDT_LIB}/libSlicer3D_module.so )
      set( SLOWMONOPOLETRIGGER  $ENV{NOVADDT_LIB}/libSlowMonopoleTrigger.so )
      set( SLOWMONOPOLETRIGGER_MODULE  $ENV{NOVADDT_LIB}/libSlowMonopoleTrigger_module.so )
      set( RATEMONITOR_MODULE  $ENV{NOVADDT_LIB}/libRateMonitor_module.so )
      set( TRACKFIT_MODULE  $ENV{NOVADDT_LIB}/libTrackFit_module.so )
      set( HITSANA_MODULE  $ENV{NOVADDT_LIB}/libHitsAna_module.so )
      set( EVTIMEANA_MODULE  $ENV{NOVADDT_LIB}/libEvTimeAna_module.so )
      set( EVTIMEFILTER_MODULE  $ENV{NOVADDT_LIB}/libEvTimeFilter_module.so )
      set( SLICEANA_MODULE  $ENV{NOVADDT_LIB}/libsliceAna_module.so )
      set( SNMESSAGESERVICE_SERVICE  $ENV{NOVADDT_LIB}/libSNMessageService_service.so )
      set( MICHELEFINDER_MODULE  $ENV{NOVADDT_LIB}/libMichelEfinder_module.so )
      set( SUPERNOVATRIGGER_MODULE  $ENV{NOVADDT_LIB}/libSupernovaTrigger_module.so )
      set( HIGHEFINDER_MODULE  $ENV{NOVADDT_LIB}/libHighEFinder_module.so )
      set( SNMESSAGEDUMP_SERVICE  $ENV{NOVADDT_LIB}/libSNMessageDump_service.so )
      set( SENDTRIGGERSIGNAL_MODULE  $ENV{NOVADDT_LIB}/libSendTriggerSignal_module.so )
      include_directories ( $ENV{NOVADDT_INC} )

check_required_components(novaddt)
